petsc-3.7.1 2016-05-15
Report Typos and Errors

# PCShellSetSetUp

Sets routine to use to "setup" the preconditioner whenever the matrix operator is changed.

### Synopsis

    #include "petscpc.h"
    PetscErrorCode  PCShellSetSetUp(PC pc,PetscErrorCode (*setup)(PC))

Logically Collective on PC Many br

### Input Parameters

| pc | - the preconditioner context Many br
| setup | - the application-provided setup routine Many br

### Calling sequence of setup

       PetscErrorCode setup (PC pc)

Many br

| pc | - the preconditioner, get the application context with PCShellGetContext() Many br

Notes: the function MUST return an error code of 0 on success and nonzero on failure. Many br

Many br

### Keywords

PC, shell, set, setup, user-provided

### See Also

PCShellSetApplyRichardson(), PCShellSetApply(), PCShellSetContext()

Level:developer
Location:src/ksp/pc/impls/shell/shellpc.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/ksp/ksp/examples/tutorials/ex15f.F.html
src/ksp/ksp/examples/tutorials/ex21f.F.html